# Uses of Interface
org.eclipse.emf.spi.cdo.InternalCDOXATransaction.InternalCDOXACommitContext

Packages that use InternalCDOXATransaction.InternalCDOXACommitContext
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOXATransaction.InternalCDOXACommitContext in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDOXATransaction.InternalCDOXACommitContext
Modifier and Type
Method
Description
`InternalCDOXATransaction.InternalCDOXACommitContext`
InternalCDOXATransaction.`getCommitContext(CDOTransaction transaction)`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDOXATransaction.InternalCDOXACommitContext
Modifier and Type
Method
Description
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitXATransactionCancel(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitXATransactionPhase1(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitXATransactionPhase2(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitXATransactionPhase3(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`abstract void`
InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState.`handle(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, IProgressMonitor progressMonitor)`